Bug 116876 - Unbreak net/pynids on AMD64 (requires a patch to net/libnet10)
Unbreak net/pynids on AMD64 (requires a patch to net/libnet10)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 19:20 UTC by wxs
Modified: 2007-10-29 08:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (499 bytes, patch)
2007-10-03 19:20 UTC, wxs
no flags Details | Diff
file.diff (1.60 KB, patch)
2007-10-03 19:20 UTC, wxs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wxs 2007-10-03 19:20:01 UTC
I decided to take a stab at getting net/pynids unbroken on AMD64.  I
found that building net/libnet10 with -fPIC at least gets pynids to
build properly.  I haven't done any run time testing of either port so
I'm hoping the maintainers will speak up on this change.  I've CC'ed
both the maintainers on this PR.

How-To-Repeat: http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.7.2007100120/py25-pynids-0.5_2.log
Comment 1 Edwin Groothuis freebsd_committer 2007-10-03 19:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 corsmith 2007-10-08 04:23:10 UTC
Approved

-Corey Smith

On Wed, 3 Oct 2007 18:20:09 UT, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of net/pynids,
>
> Please note that PR ports/116876 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/116876
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 3 Martin Wilke freebsd_committer 2007-10-08 09:27:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 dfilter freebsd_committer 2007-10-29 08:31:20 UTC
miwi        2007-10-29 08:31:01 UTC

  FreeBSD ports repository

  Modified files:
    net/libnet10         Makefile 
    net/libnet10/files   patch-Makefile.in 
  Log:
  - Fix build with amd64
  
  PR:             116876
  Submitted by:   Wesley Shields <wxs@atarininja.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.20      +2 -0      ports/net/libnet10/Makefile
  1.2       +11 -2     ports/net/libnet10/files/patch-Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2007-10-29 08:32:14 UTC
miwi        2007-10-29 08:32:10 UTC

  FreeBSD ports repository

  Modified files:
    net/pynids           Makefile 
  Log:
  - Unbreak after net/libnet10 fix
  
  PR:             116876
  Submitted by:   Wesley Shields <wxs@atarininja.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.6       +0 -4      ports/net/pynids/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-10-29 08:34:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!